# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "shuttle-persist"
version = "0.10.0"
description = "Plugin for persist objects"
readme = "README.md"
keywords = [
    "shuttle-service",
    "persistence",
]
license = "Apache-2.0"

[dependencies.async-trait]
version = "0.1.56"

[dependencies.bincode]
version = "1.2.1"

[dependencies.serde]
version = "1.0.0"
features = ["derive"]

[dependencies.shuttle-common]
version = "0.10.0"
default-features = false

[dependencies.shuttle-service]
version = "0.10.0"
default-features = false

[dependencies.thiserror]
version = "1.0.32"

[dependencies.tokio]
version = "1.19.2"
features = ["rt"]
